Elgoh = {};

local upgrade_warned=false;
local partloaded=0;
function Elgoh.onEvent(self,event, ...)
	if(event=="CHAT_MSG_ADDON") then
		local prefix, msg, how, who = ...;
		if(prefix=="elgoh") then
			if(msg:find("^vers")) then
				local vers=msg:sub(5)
				ElDebug(who.." has "..msg);
				if(tonumber(msg) > (tonumber(Elgoh.Version)) and not upgrade_warned) then
					ElPrint("A new version is available from Curse ("..Elgoh.Version.." -> "..msg..")");
					upgrade_warned = true;
				end
			end
		end
	elseif(event == "ADDON_LOADED") then
		addon = ...;
		if(addon:lower()=="elgoh") then
			RegisterAddonMessagePrefix("elgoh");
			Elgoh:HookTooltips();
		end
	elseif(event=="PLAYER_LOGIN") then
		Elgoh.Version=GetAddOnMetadata("elgoh", "X-Curse-Packaged-Version")
		if(Elgoh.Version == nil) then
			Elgoh.Version="Dev"; --it's NIL if using the working copy
		end
		SendAddonMessage("elgoh", Elgoh.Version, "GUILD"); --Announce your version
		ElPrint(Elgoh.Version.." has been loaded");
	end
end
