Elgoh.frmMain = CreateFrame("Frame", "Elgoh.frmMain")

function Elgoh:HookTooltips()
	Elgoh.TooltipList = {
		--ItemRefTooltip,
		GameTooltip,
		--ShoppingTooltip1,
		--ShoppingTooltip2,
		ComparisonTooltip1,
		ComparisonTooltip2,
	}
	Elgoh.TooltipMethodList = {
		"SetHyperlink",
		"SetBagItem",
		"SetInventoryItem",
		"SetLootItem",
		--"SetLootRollItem",
		"SetTradePlayerItem",
		"SetTradeTargetItem",
	}
	for _, tooltip in ipairs(Elgoh.TooltipList) do
		if tooltip then
			for _, tooltipType in ipairs(Elgoh.TooltipMethodList) do
				hooksecurefunc(tooltip, tooltipType, Elgoh.ItemTooltip)
			end
		end
	end
end

Elgoh.frmMain:RegisterEvent("ADDON_LOADED");
Elgoh.frmMain:RegisterEvent("PLAYER_LOGIN");
Elgoh.frmMain:SetScript("OnEvent", Elgoh.onEvent);
